\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-6.5,-1.5) rectangle (-1.5,3.5);
\draw [line width=1.5pt, mydashed](-2,1) arc(0:180:2cm and 0.5cm);
\draw [line width=1.5pt](-2,1) arc(0:-180:2cm and 0.5cm);
\draw[line width=1.5pt](-4,1) circle(2cm);
\begin{Large}
\draw[color=black] (-6.25,1.25) node {$A$};
\draw[color=black] (-4,0.75) node {$O$};
\draw[line width=1.5pt, mydashed] (-4,1)--(-6,1);
\end{Large}
\begin{large}
\draw (-5,0.75) node {$r$};
\end{large}
\end{tikzpicture}
\end{document}